#!/bin/bash

cat << EOF > plotpng.gp

set terminal postscript eps size 8,12 enhanced color font 'Helvetica,44' lw 1
set output 'fig_kitaev.eps'

set style line 1 lt 1 lw 1 lc rgb "dark-blue"
set style line 2 lt 1 lw 4 lc rgb "red"
set style line 3 lt 1 lw 4 lc rgb "dark-spring-green"


set multiplot

set origin 0,0.58
set size 1,0.42

unset key

set yl 'E/t'
#set ytics 10

set xl '{/Symbol-Oblique m}/t'
#set xr[0:100]
#set xtics ("-1" 0, "-0.5" 25, "0" 50, "0.5" 75, "1" 100)
#set arrow from 400, graph 0 to 400, graph 1 nohead

#set label "V_0 = 10, V_1 = 0, N=3 \t Black: free dispersion" front at graph -0.1, graph 1.15

set key at graph 0.30, graph 0.95 font 'Helvetica, 24'

plot \
for [col=3:26] 'bands.dat' u 2:col w l ls 1 ti '',\
for [col=27:27] 'bands.dat' u 2:col w l ls 2 ti 'edge mode 1',\
for [col=28:28] 'bands.dat' u 2:col w l ls 3 ti 'edge mode 2',\
for [col=29:52] 'bands.dat' u 2:col w l ls 1 ti ''
#,\
#for [col=52:53] 'bands.dat' u 1:col w l ls 2 ti 'Majorana',\
for [col=54:102] 'bands.dat' u 1:col w l ls 1 ti ''

set origin 0,0.30
set size 1,0.28
unset label
set label '{/Symbol-Oblique m}/t = 0.02' front at graph 0.18, graph 0.9
set key at graph 0.85, graph 0.95 font 'Helvetica, 24'

set yl 'u^2+v^2'
set yr[0:1]
set ytics 0.5
set xr[0:24]
unset xl
set xtics format ""
plot \
'states.dat' u 1:2 w l ls 2 ti 'edge mode 1',\
'states.dat' u 1:3 w l ls 3 ti 'edge mode 2',\
'states.dat' u 1:4 w l ls 1 ti 'first bulk excited state'


set origin 0,0
set size 1,0.33
unset label
set label '{/Symbol-Oblique m}/t = 2' front at graph 0.18, graph 0.9

set yl 'u^2+v^2'
set yr[0:0.2]
set ytics 0.1
set xl 'site i'
set xtics 10 format "%g"
plot \
'states2.dat' u 1:2 w l ls 2 ti 'edge mode 1',\
'states2.dat' u 1:3 w l ls 3 ti 'edge mode 2',\
'states2.dat' u 1:4 w l ls 1 ti 'first bulk excited state'

unset multiplot

EOF
gnuplot plotpng.gp

rm plotpng.gp >& /dev/null
epstopdf fig_kitaev.eps
open fig_kitaev.pdf

